﻿@charset "utf-8";

/*Reset*/

* {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

*html,
*html body
/* 修正IE6振动bug */

{
    background-image: url(about:blank);
    background-attachment: fixed;
}

a,
img {
    border: none;
    text-decoration: none;
}

a {
    color: #333;
    blr: expression(this.onFocus=this.blur());
}


/*去掉a标签的虚线框，避免出现奇怪的选中区域*/


/*a:active {test:expression(target="_blank");}*/

a:hover,
a:focus {
    text-decoration: none;
}

:focus {
    outline: 0;
}

label {
    cursor: pointer;
}

img {
    vertical-align: middle;
}

table {
    empty-cells: show;
    border-collapse: collapse;
    border-spacing: 0;
}

h1 {
    font-size: 1.6em;
}

h2,
h3,
h4 {
    font-size: 1.4em;
}

h5,
h6 {
    font-size: 1.2em;
}

input {
    border: none;
}

textarea {
    overflow: scroll;
}

a,
input,
textarea,
.hover-delay,
button {
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    -webkit-transition: all 0.3s ease-out;
    transition: all 0.3s ease-out;
}

input.none-radius {
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
}

::-ms-clear {
    display: none;
}

::-ms-reveal {
    display: none;
}


/*input[type=text],input[type=tel],input[type=email], input[type=button], button{
    -webkit-appearance: none;
    box-shadow: none;
}*/

input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 60px #fff inset;
    box-shadow: 0 0 0 60px #fff inset;
    -webkit-text-fill-color: #676767;
    background-color: #f9f9f9;
}


/*Reset end*/

.form_body {
    width: 100%;
    height: auto;
    padding: 40px 0;
    float: left;
    position: relative;
    z-index: 99;
    text-align: center;
    background-color: #fff;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.form-wrap {
    width: 90%;
    max-width: 650px;
    z-index: 99999;
    margin: auto;
    padding: 0;
    text-align: center;
    color: #333;
}

.form-wrap label {
    display: inline-block;
    margin: 0;
    font-weight: normal;
}

.form-ul {
    width: 100%;
    padding: 0;
    margin: 0 auto;
}

.form-ul li {
    float: left;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    /*width: 49%;*/
    height: 55px;
    *height: 60px;
}

.form-input {
    float: left;
    width: 100%;
    *width: 93.5%;
    color: #222;
    background-color: #e4e4e4;
    height: 45px;
    line-height: 45px;
    font-size: 15px;
    overflow: hidden;
    padding: 3px 20px;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    -webkit-transition: all 0.5s ease-out;
    transition: all 0.5s ease-out;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

.form-wrap .form-ul li p:hover,
.form-wrap .form-ul li p:focus {
    color: #000;
    /*box-shadow: 0 0 5px #999;*/
}

.form-input:hover,
.form-input:focus {
    background-color: #E6EEF7;
}

.form-wrap .form-ul li .meg-error {
    color: #FA0417;
    position: absolute;
    top: 14px;
    right: 15px;
    font-size: 15px;
    background-color: #F9F9F9;
}

.form-wrap .form-ul li .meg-border-error {
    border: 1px solid #f65662;
}

.form-wrap .form-ul li p {
    position: relative;
    width: 100%;
    padding: 0;
    margin: 0;
    border: solid 1px #fff;
    background-color: #e4e4e4;
    -webkit-transition: all 0.5s ease-out;
    transition: all 0.5s ease-out;
    overflow: hidden;
    *overflow: none;
    border-radius: 30px;
    -moz-border-radius: 30px;
    -webkit-border-radius: 30px;
}

.form-wrap .form-ul li .fn {
    height: 45px;
    line-height: 45px;
    font-size: 16px;
    overflow: hidden;
    padding: 3px 20px;
    text-align: right;
    color: #333;
}

.form-wrap .form-ul li .meg-error-color {
    color: #FA0417;
}

.form-wrap .form-ul li .meg-border-okay {
    border: 1px solid #6ac451;
}

.form-wrap .form-private {
    font-size: 14px;
    color: #333;
    line-height: 24px;
    height: auto;
    margin: 20px 0;
    text-align: center;
}

.form-wrap .form-private input[type="checkbox"] {
    width: 20px;
    height: 20px;
    margin-right: 7px;
    vertical-align: -5px;
}

.form-wrap .form-private a {
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    text-decoration: underline;
    color: #333;
}

.form-submit,
.login-submit {
    display: block;
    width: 100%;
    max-width: 450px;
    margin: 0 auto;
    height: 50px;
    line-height: 50px;
    letter-spacing: 1px;
    text-align: center;
    font-size: 28px;
    cursor: pointer;
    margin-top: 5px;
    border: 0;
    font-family: "微軟正黑體", Arial, Helvetica, sans-serif;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    border-radius: 30px;
    -moz-border-radius: 30px;
    -webkit-border-radius: 30px;
}

.login-submit {
    margin-top: 20px;
}

.form-submit:hover,
.login-submit:hover {
    background: #ff4986;
}

input[type="button"] {
    width: 100%;
    border-radius: 30px;
    -moz-border-radius: 30px;
    -webkit-border-radius: 30px;
    border: 0;
    height: 45px;
    line-height: 45px;
    font-size: 18px;
    color: #fff;
    /*按鈕顏色*/
    background: #e61a66;
}

input.getOtp[type="button"] {
    font-size: 14px;
    background: #999;
    color: #fff;
}

input.getOtp_off[type="button"] {
    font-size: 14px;
    background-color: #999;
    cursor: wait;
}

.form-ul .mar_r {
    float: right;
}

.form-ul .mar_l {
    float: left;
}

.form-ul .w100 {
    width: 100%;
}

.w20 {
    width: 20%;
}

.w80 {
    width: 80%
}

.w60 {
    width: 55%
}

.w18 {
    width: 23%
}


/*選擇品牌*/

.brand_btn {
    height: 45px;
    line-height: 45px;
    background-color: #e4e4e4;
    display: inline-block;
    position: relative;
    text-align: center;
    -webkit-transition: background 600ms ease, color 600ms ease;
    transition: background 600ms ease, color 600ms ease;
}

.brand_btn img {
    position: relative;
    z-index: 2;
}

input[type="radio"].toggle {
    display: none;
}

input[type="radio"].toggle+label {
    cursor: pointer;
    min-width: 60px;
}

input[type="radio"].toggle+label:hover {
    color: #1a1a1a;
}


/*選到後*/

input[type="radio"].toggle+label:after {
    content: "";
    height: 100%;
    position: absolute;
    top: 0;
    -webkit-transition: left 200ms cubic-bezier(0.77, 0, 0.175, 1);
    transition: left 200ms cubic-bezier(0.77, 0, 0.175, 1);
    width: 100%;
    z-index: 1;
    border-radius: 30px;
    background: #586ffd;
    background: -webkit-gradient(linear, left top, right top, from(#586ffd), to(#455dfd));
    background: linear-gradient(to right, #586ffd 0%, #455dfd 100%);
    filter: progid: DXImageTransform.Microsoft.gradient( startColorstr='#586ffd', endColorstr='#455dfd', GradientType=1);
}

input[type="radio"].toggle.toggle-left+label {
    border-right: 0;
    width: 50%;
    /*label寬度*/
    border-bottom-left-radius: 30px;
    border-top-left-radius: 30px;
}

input[type="radio"].toggle.toggle-left+label:after {
    left: 100%;
}

input[type="radio"].toggle.toggle-right+label {
    margin-left: -5px;
    width: 50%;
    /*label寬度*/
    border-bottom-right-radius: 30px;
    border-top-right-radius: 30px;
}

input[type="radio"].toggle.toggle-right+label:after {
    left: -100%;
}

input[type="radio"].toggle:checked+label {
    cursor: default;
    color: #fff;
    -webkit-transition: color 200ms;
    transition: color 200ms;
    width: 50%;
    /*label寬度*/
}

input[type="radio"].toggle:checked+label:after {
    left: 0;
}

.oops {
    display: block;
    padding-bottom: 10px;
    clear: both;
    width: 90%;
    margin: 0 auto;
    line-height: 1.6;
}


/*info*/

.info {
    clear: both;
    width: 95%;
    text-align: center;
    margin: 0 auto;
}

.info h3 {
    font-size: 20px;
    font-weight: bold;
    color: #fff;
}

.info p {
    font-size: 14px;
    line-height: 1.6;
    padding: 10px 0;
    color: #fff;
}


/*--- OTP彈出視窗 ---*/

.jconfirm .jconfirm-holder {
    max-width: 700px;
    margin: 0 auto;
    max-height: 100%;
    padding: 50px 0;
}

@media all and (max-width:650px) {
    .form_body {
        padding: 40px 0;
    }
    .form-wrap {
        width: 95%;
        height: auto;
    }
    .form-ul {
        width: 95%;
        margin-left: 2.5%;
        *margin-left: 3.5%;
        margin-bottom: 30px;
    }
    .form-ul li {
        float: left;
        width: 100%;
    }
    .form-input {
        width: 100%;
        *width: 96%;
    }
    .form-wrap .form-ul li p {
        width: 99.7%;
    }
    .form_title {
        width: 100%;
        margin-left: 0;
        left: 0;
        text-align: center;
    }
    .form-submit {
        font-size: 22px;
    }
    .form-wrap .form-ul li .fn {
        text-align: left;
        font-size: 16px;
        margin-top: 10px;
    }
    button {
        width: 45%;
    }
    .w60 {
        width: 63% !important;
    }
    .w18 {
        width: 34% !important;
    }
    .w20 {
        margin-top: -15px;
    }
    .form_body h3 {
        font-size: 30px;
    }
}

@media all and (max-width:450px) {
    .form-wrap .fpm {
        width: 85%;
        float: none;
        text-align: left;
        text-indent: -28px;
        margin-left: 72px;
    }
}